import typing

from Xlib import XK

_KEYSYM_LABELS = {
    # pylint: disable=no-member; false positive
    XK.XK_Control_L: "left ctrl",
    XK.XK_Control_R: "right ctrl",
    XK.XK_Delete: "delete",
    XK.XK_Down: "↓",
    XK.XK_Left: "→",
    XK.XK_Right: "←",
    XK.XK_Up: "↑",
    XK.XK_space: "␣",
}


def keysym_to_label(keysym: int) -> typing.Optional[str]:
    return _KEYSYM_LABELS.get(keysym, XK.keysym_to_string(keysym))
