import pytest

from Xlib import XK

# pylint: disable=protected-access
import rescriptoon._keys


@pytest.mark.parametrize(
    ("keysym", "label"),
    [
        # pylint: disable=no-member; false positive
        (XK.XK_Control_L, "left ctrl"),
        (XK.XK_Control_R, "right ctrl"),
        (XK.XK_Delete, "delete"),
        (XK.XK_Down, "↓"),
        (XK.XK_Left, "→"),
        (XK.XK_Right, "←"),
        (XK.XK_Up, "↑"),
        (XK.XK_a, "a"),
        (XK.XK_grave, "`"),
        (XK.XK_s, "s"),
        (XK.XK_semicolon, ";"),
        (XK.XK_slash, "/"),
        (XK.XK_space, "␣"),
        (XK.XK_w, "w"),
    ],
)
def test_keysym_to_label(keysym, label):
    assert rescriptoon._keys.keysym_to_label(keysym) == label
