import pytest
from Xlib import XK

from rescriptoon._actions import RewriteKeyEventAction


@pytest.mark.parametrize(
    ("keysym", "target_engine_index", "description"),
    [
        (None, None, "forward to all engines"),
        (None, 0, "forward to engine #0"),
        (None, 1, "forward to engine #1"),
        # pylint: disable=no-member; false positive
        (XK.XK_Up, None, "send ↑ to all engines"),
        (XK.XK_Delete, 0, "send delete to engine #0"),
        (XK.XK_Control_L, 1, "send left ctrl to engine #1"),
    ],
)
def test_description(keysym, target_engine_index, description):
    action = RewriteKeyEventAction(
        keysym=keysym, target_engine_index=target_engine_index
    )
    assert action.description == description
