import pytest

from rescriptoon._actions import SelectGagAction


@pytest.mark.parametrize(
    ("column_index", "factor_y", "gag_name", "target_engine_index", "description"),
    [
        (
            4,
            -0.047,
            "elephant trunk",
            None,
            "select elephant trunk in battle @ all engines",
        ),
        (4, -0.047, "elephant trunk", 0, "select elephant trunk in battle @ engine #0"),
        (4, -0.047, "elephant trunk", 1, "select elephant trunk in battle @ engine #1"),
        (5, -0.047, "foghorn", 0, "select foghorn in battle @ engine #0"),
    ],
)
def test_description(
    column_index, factor_y, gag_name, target_engine_index, description
):
    action = SelectGagAction(
        column_index=column_index,
        factor_y=factor_y,
        gag_name=gag_name,
        target_engine_index=target_engine_index,
    )
    assert action.description == description
